module CalcParameter
  implicit none
  ! 領域のサイズ(m)
  real(8), parameter :: L_x = 3.d+4
  real(8), parameter :: L_z = 15.d+4
  ! real(8), parameter :: L_z = 3.d+4
  ! グリッド数
  integer, parameter :: grd_x = 128
  integer, parameter :: grd_z = 500
  ! グリッドの幅
  real(8), parameter :: dx = L_x/grd_x
  real(8), parameter :: dz = L_z/grd_z
  ! 時間微分幅
  real(8), parameter :: dt = 0.1d-0         ! 時間ステップ数
  integer, parameter :: Idmax = 600000       !積分時間 dt*Idmax = 90s
  ! 出力データ間隔
  integer, parameter :: Intv  = 100         !データ保存間隔dt*Intv= 1s)
  ! 基本場の設定
  integer, parameter :: u_B_swich = 0       ! 基本場の有無(0:あり, 1:なし)
  ! タイムフィルタの係数
  real(8),parameter :: TfilCoef = 0.20d+0
  ! 水平粘性
  real(8),parameter :: HorizontalVis = 4.0d+3
  ! 初期摂動(dw)
  real(8),parameter :: PrimeDist = 4.0d-4
  ! real(8),parameter :: PrimeDist = 1.0d-5

end module CalcParameter
